package com.gh.gamecenter.common.retrofit;

import retrofit2.HttpException;

/**
 * Created by khy on 30/11/17.
 */

public class ApiResponse<T> {

    private T mData;

    private HttpException mHttpException;

    private Throwable mThrowable;

    public ApiResponse() {
    }

    public ApiResponse(T t) {
        mData = t;
    }

    public T getData() {
        return mData;
    }

    public void setData(T data) {
        mData = data;
    }

    public HttpException getHttpException() {
        return mHttpException;
    }

    public void setHttpException(HttpException httpException) {
        mHttpException = httpException;
    }

    public Throwable getThrowable() {
        return mThrowable;
    }

    public void setThrowable(Throwable throwable) {
        mThrowable = throwable;
    }
}
